Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.notification
Class CollaborationNotification

    java.lang.Object
      com.bea.apps.groupspace.notification.GroupSpaceNotification
          com.bea.apps.groupspace.notification.CommunityNotification
              com.bea.apps.groupspace.notification.CollaborationNotification

Direct Known Subclasses:
  CalendarNotification, EmailNotification, TaskNotification

    public abstract class CollaborationNotification

extends CommunityNotification

Represents notifications based on the collaboration portlets. (i.e. calendar, email, tasks).

Field Summary

Fields inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`debug, expirationDate, GROUPSPACE_NOTIFICATION_NAMESPACE, notification, notificationProps, PROP_IMPLEMENTATION_KEY, PROP_SEVERITY_KEY, PROP_SUBJECT_KEY, SEVERITY_SEV_HIGH, SEVERITY_SEV_NORMAL`

Constructor Summary
`CollaborationNotification()`
`CollaborationNotification(Notification notification)`

Method Summary
`String` | `getAccountId()` Returns the collaboration portlet account ID of the event.
`Boolean` | `getIsCommunityAccount()` Returns if the event is based on a community-based account.
`void` | `setAccountId(String id)` Sets the collaboration portlet account ID of the event
`void` | `setIsCommunityAccount(Boolean value)` Sets if the event is based on a community-based account.
`protected void` | `validateOnSend()`

Methods inherited from class com.bea.apps.groupspace.notification.CommunityNotification
`getCommunityDefinitionID, setCommunityDefinitionID`

Methods inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`getExpirationDate, getIsHighSeverity, getNotification, getNotificationAttribute, getNotificationAttribute, getNotificationName, getNotificationNamespace, getNotificationSeverity, getNotificationSubject, isValidNotification, setExpirationDate, setNotificationAttribute, setNotificationSeverity, setNotificationSubject, toNotificationPayloadInfo, toNotificationPayloadInfo, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollaborationNotification

    public CollaborationNotification()

### CollaborationNotification

    public CollaborationNotification(Notification notification)

Method Detail

### getAccountId

    public String getAccountId()

  Returns the collaboration portlet account ID of the event.

### setAccountId

    public void setAccountId(String id)

  Sets the collaboration portlet account ID of the event

### getIsCommunityAccount

    public Boolean getIsCommunityAccount()

  Returns if the event is based on a community-based account. (i.e. Community Calendar, Community Tasks)

### setIsCommunityAccount

    public void setIsCommunityAccount(Boolean value)

  Sets if the event is based on a community-based account. (i.e. Community Calendar, Community Tasks)

### validateOnSend

    protected void validateOnSend()
                           throws MissingDataException

  Overrides:
    `validateOnSend` in class `CommunityNotification`
  Throws
    `MissingDataException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved